<?php

namespace App\Filament\Resources\NewEventContainResource\Pages;

use App\Filament\Resources\NewEventContainResource;
use Filament\Actions;
use Filament\Resources\Pages\EditRecord;
use Illuminate\Support\Facades\Gate;
class EditNewEventContain extends EditRecord
{
    protected static string $resource = NewEventContainResource::class;

    protected function getHeaderActions(): array
    {
        return [
            Actions\DeleteAction::make()
                ->visible(fn () => Gate::allows('delete neweventcontain')),
        ];
    }
}